// Imports
@use "variables" as var;

// Variables
$strip-height: 64px;

// Actual Styling
:host {
  z-index: 1001;
  position: fixed;
  width: 100%;
  height: 100%;
  background: var(--light-background-default-grey, #fff);

  @media (min-width: var.$breakpoint-desktop) {
    z-index: 2;
    top: var.$header-desktop-height;
    left: -(var.$dynamic-box-width-desktop);
    width: var.$dynamic-box-width-desktop;
    height: calc(100vh - #{var.$header-desktop-height});
  }

  &.animated {
    transition: 400ms ease-in-out;
  }

  &.mobile-intermediate {
    bottom: 0;
    height: auto;
    overflow: hidden;
    border-radius: 16px 16px 0 0;

    @media (min-width: var.$breakpoint-desktop) {
      bottom: unset;
      height: calc(100vh - #{var.$header-desktop-height});
      overflow: visible;
      border-radius: 0;
    }
  }

  &.mobile-full-height {
    top: 0;

    @media (min-width: var.$breakpoint-desktop) {
      top: var.$header-desktop-height;
    }
  }

  .dynamic-box {
    display: flex;
    flex-direction: column;
    box-shadow: 0 4px 12px var(--shadow-color);
    height: 100%;

    .close-dynamic-box {
      padding: var.$default-padding calc(2 * var.$default-padding) 8px;

      @media (min-width: var.$breakpoint-desktop) {
        display: none;
      }
    }

    .dynamic-box-content {
      padding: 16px var.$default-padding 24px;
      overflow: auto;

      @media (min-width: var.$breakpoint-desktop) {
        padding: 88px 24px 24px;
      }
    }
  }

  &.secondary-box {
    @media (min-width: var.$breakpoint-desktop) {
      z-index: 1001;
      top: calc(#{var.$header-desktop-height} + #{var.$default-margin});
      max-height: calc(100vh - #{var.$header-desktop-height} - (2 * #{var.$default-margin}));
    }

    .dynamic-box {
      .close-dynamic-box {
        margin-bottom: 0;

        @media (min-width: var.$breakpoint-desktop) {
          display: block;
        }
      }

      .dynamic-box-content {
        padding-top: 0;
      }
    }
  }

  &.active {
    @media (min-width: var.$breakpoint-desktop) {
      left: 0;

      &.secondary-box {
        left: calc(#{var.$dynamic-box-width-desktop} + #{var.$default-margin});
      }
    }
  }

  #strip {
    display: none;

    @media (min-width: var.$breakpoint-desktop) {
      display: flex;
      justify-content: center;
      align-items: center;
      position: absolute;
      width: 32px;
      height: $strip-height;
      left: var.$dynamic-box-width-desktop;
      top: calc(50% - $strip-height / 2);
      background: var(--background-default-grey);
      box-shadow: 8px 0 8px -6px var(--shadow-color);
      border-radius: 0 4px 4px 0;
      cursor: pointer;
    }
  }
}

